
#set $title = "gallery admin"
#include "header.html"

<h1><a href="index">gallery</a> / administration</h1>

#if $msg:
<div class="msg">
${msg}<br/>
</div>
#end if


<form method="post" action="create_album">
<table class="form">
  <tr><th colspan="2">Create album</th></tr>
  <tr>
    <td>Album name</td>
    <td><input type="text" name="aname"/></td>
  </tr><tr>
    <td>Album parent</td>
    <td><select name="parent">
      <option selected value="/">[Root level]</option>
      #for $a in $album_list:
        <option value="$a.fname">
	  #if $a.parent: $a.parent.title /
	  $a.title</option>
      #end for
    </select></td>
  </tr>
  <tr>
    <td colspan="2" align="center">
      <button type="submit">Create</button>
    </td>
  </tr>
</table>
</form><p/>

<table class="form">
  <tr><th colspan="2">Other actions</th></tr>
  <tr>
    <td>
      <form method="post" action="admin">
        <input type="hidden" name="action" value="reload_config"/>
        <button type="submit">Reload configuration</button>
      </form>
    </td>
    <td>
      <form method="post" action="admin">
        <input type="hidden" name="action" value="reload_albums"/>
        <button type="submit">Reload albums</button>
      </form>
    </td>
  </tr>
</table><p/>

All other actions (removing albums, renaming files, etc.) must be done
directly on the filesystem.<p/>

#include "footer.html"

